Bug 975316 - Review Request: libodb-qt - Qt ODB runtime library
Review Request: libodb-qt - Qt ODB runtime library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 975312
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 01:08 EDT by Dave Johansen
Modified: 2013-11-18 20:22 EST (History)
7 users (show)

See Also:
Fixed In Version: libodb-qt-2.2.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 22:36:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Johansen 2013-06-18 01:08:32 EDT
Spec URL: https://docs.google.com/file/d/0B9bQ41XLJ8QuZlVlNGh2b2pzUjA/edit?usp=sharing
SRPM URL: https://docs.google.com/file/d/0B9bQ41XLJ8QuRTI1eWNkbTJNdGM/edit?usp=sharing
Description: This package contains the Qt profile library. The Qt profile provides support for persisting Qt smart pointers, containers, and value types with the ODB system.
Fedora Account System Username: daveisfera
Comment 1 Peter Lemenkov 2013-06-18 10:48:55 EDT
Unblocking FE-NEEDSPONSOR - I've just sponsored Dave.
Comment 3 Dave Johansen 2013-10-05 23:34:23 EDT
This package is ready for review and a scratch build on rawhide is available at: http://koji.fedoraproject.org/koji/taskinfo?taskID=6028297
Comment 4 Dave Johansen 2013-10-06 00:22:21 EDT
Sorry, I forgot to include the link to the current source RPM in the last comment. It can be found at: http://daveisfera.fedorapeople.org/odb_2.2/SRPMS/libodb-qt-2.2.1-1.el6.src.rpm
Comment 5 Rex Dieter 2013-10-06 09:08:25 EDT
Small suggestion:

# If building on Fedora or RHEL 6
%if 0%{?rhel}%{?fedora} >= 6
BuildRequires: qt-devel
%else
BuildRequires: qt4-devel
%endif

Can be simplified to just
BuildRequires: qt4-devel
this should work everywhere (rhel/fedora qt pkg has a virtual provides for qt4- namespace to handle this use-case)
Comment 6 Dave Johansen 2013-10-06 15:08:01 EDT
Ok, thanks for the advice on that. I made the change an uploaded the simplified spec file and the corresponding source RPM.
Comment 7 Boris Kolpackov 2013-10-07 00:53:54 EDT
Wouldn't changing qt-devel to qt4-devel mean that we will always depend on Qt4 even though the default (qt-devel) might actually be Qt5? ODB supports both and I think if the default is/becomes Qt5 in some version of Fedora, then we should depend on that.
Comment 8 Christopher Meng 2013-10-07 04:59:21 EDT
Suggestion, why not rm -rf %{_datadir}/doc/libodb-qt in %install and then mark:
%doc GPLv2
%doc LICENSE

in %files?

No need to waste 5 lines in %files IMHO.
Comment 9 Rex Dieter 2013-10-07 10:39:58 EDT
re: comment #7

There will (likely) never be a Qt5-based qt-devel pkg.  IMO, better to specify exactly what you want, so you know what you're getting and there are no surprises.

To depend on Qt5, you can use (something like) one of the following:
BuildRequires: qt5-qtbase-devel
or
BuildRequires: pkgconfig(Qt5Core)

The Qt4 versions of those being:
BuildRequires: qt4-devel
or 
BuildRequires: pkgconfig(QtCore)
Comment 10 Peter Lemenkov 2013-10-17 10:44:49 EDT
Looks good.

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

work ~/Desktop: rpmlint libodb-qt-*
libodb-qt.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
libodb-qt.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
libodb-qt.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (strict GPLv2).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See Koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application. Well, since we're moving to unversioned docdirs this will definitely cause issues. Please be careful with EL5 and EL6.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) files are stored in a -devel package. A necessary runtime requirement is picked up automatically in Fedora, but EL5 (and maybe even EL6) will require explicit "Requires: pkgconfig"
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


APPROVED.
Comment 11 Dave Johansen 2013-10-22 10:57:31 EDT
New Package SCM Request
=======================
Package Name: libodb-qt
Short Description: Qt ODB runtime library from Code Synthesis
Owners: daveisfera
Branches: el5 el6 f18 f19 f20 
InitialCC: peter
Comment 12 Gwyn Ciesla 2013-10-22 11:10:15 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-10-29 23:01:43 EDT
libodb-qt-2.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libodb-qt-2.2.1-1.fc18
Comment 14 Fedora Update System 2013-10-29 23:02:05 EDT
libodb-qt-2.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libodb-qt-2.2.1-1.fc19
Comment 15 Fedora Update System 2013-10-30 23:00:54 EDT
libodb-qt-2.2.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2013-11-02 19:46:02 EDT
libodb-qt-2.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libodb-qt-2.2.1-1.el5
Comment 17 Fedora Update System 2013-11-02 19:46:18 EDT
libodb-qt-2.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libodb-qt-2.2.1-1.el6
Comment 18 Fedora Update System 2013-11-03 00:33:52 EDT
libodb-pgsql-2.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libodb-pgsql-2.2.0-1.fc20
Comment 19 Fedora Update System 2013-11-08 22:36:43 EST
libodb-qt-2.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 20 Fedora Update System 2013-11-08 22:38:29 EST
libodb-qt-2.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 21 Fedora Update System 2013-11-10 02:13:28 EST
libodb-pgsql-2.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 22 Fedora Update System 2013-11-18 20:21:31 EST
libodb-qt-2.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 23 Fedora Update System 2013-11-18 20:22:33 EST
libodb-qt-2.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.